CVE-2020-26290

Improper Verification of Cryptographic Signature in go/github.com/dexidp/dex

Identifier

CVE-2020-26290

Package Slug

go/github.com/dexidp/dex

Vulnerability

Improper Verification of Cryptographic Signature

Description

Dex is a federated OpenID Connect provider written in Go. In Dex there is a critical set of vulnerabilities which impacts users leveraging the SAML connector. The vulnerabilities enables potential signature bypass due to issues with XML encoding in the underlying Go library. The vulnerabilities have been addressed by using the xml-roundtrip-validator from Mattermost (see related references).

Affected Versions

All versions before 2.27.0

Solution

Upgrade to version 2.27.0 or higher.

Last Modified

2021-01-01

source